Skip to content

upsertPickMethodWithShelfLife

DESTRUCTIVE

Atomic counterpart to {@link upsertPickMethod} + {@link upsertItemShelfLife}.

POST /api/v1/items/upsertPickMethodWithShelfLife
curl -X POST '<your-host>/api/v1/items/upsertPickMethodWithShelfLife' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string",
    "locationId": "string",
    "shelfLife": {}
  }'

Parameters

ParameterType
"NotManaged""Fixed Duration""Calculated""Set on Receipt"
"Before""After"
"Default""FEFO""FIFO""LIFO"

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "defaultStorageUnitId": {
      "type": [
        "string",
        "null"
      ]
    },
    "sortMethod": {
      "type": "string",
      "enum": [
        "Default",
        "FEFO",
        "FIFO",
        "LIFO"
      ]
    },
    "customFields": {},
    "shelfLife": {
      "type": "object",
      "properties": {
        "mode": {
          "type": "string",
          "enum": [
            "NotManaged",
            "Fixed Duration",
            "Calculated",
            "Set on Receipt"
          ]
        },
        "days": {
          "type": "number"
        },
        "triggerProcessId": {
          "type": "string"
        },
        "triggerTiming": {
          "type": "string",
          "enum": [
            "Before",
            "After"
          ]
        },
        "calculateFromBom": {
          "type": "boolean"
        }
      }
    }
  },
  "required": [
    "itemId",
    "locationId",
    "shelfLife"
  ]
}